Bug 1013242 - Service jboss.infinispan.default failed to start on IBM JDK 6, argument type mismatch
Service jboss.infinispan.default failed to start on IBM JDK 6, argument type ...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
: 1016046 (view as bug list)
Depends On:
Blocks: 1017190 1078136
  Show dependency treegraph
 
Reported: 2013-09-28 14:27 EDT by Tomas Sykora
Modified: 2014-11-30 16:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
JBoss Data Grid fails to instantiate GlobalComponentRegistry on IBM JDK 1.6. This process fails with IllegalArgumentException: Argument Type Mismatch. As a result, JBoss Data Grid does not work correctly on IBM JDK 1.6. Instead, use IBM JDK version 1.7 instead of version 1.6. JBoss Data Grid works correctly on IBM JDK 1.7.
Story Points: ---
Clone Of:
: 1078136 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3611 Major Resolved Service jboss.infinispan.default failed to start on IBM JDK 6, argument type mismatch 2017-09-20 23:27 EDT

  None (edit)
Description Tomas Sykora 2013-09-28 14:27:33 EDT
Manual verification on machines have shown that this issue is not hudson-only-related.

Failing on RHEL 5, RHEL 6, both 32 and 64 bit systems. IBM JDK 6.

Environment definitions:

Machine: Linux dev88.mw.lab.eng.bos.redhat.com 2.6.32-358.18.1.el6.i686 #1 SMP Fri Aug 2 17:10:27 EDT 2013 i686 i686 i386 GNU/Linux

JDK: java version "1.6.0"
Java(TM) SE Runtime Environment (build pxi3260sr13ifix-20130303_02(SR13+IV37419))
IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 Linux x86-32 jvmxi3260sr13-20130114_134867 (JIT enabled, AOT enabled)
J9VM - 20130114_134867
JIT  - r9_20130108_31100
GC   - 20121212_AA)
JCL  - 20130303_02


Machine: Linux dev117.mw.lab.eng.bos.redhat.com 2.6.18-348.16.1.el5 #1 SMP Sat Jul 27 01:05:23 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux

JDK:java version "1.6.0"
Java(TM) SE Runtime Environment (build pxa6460sr13ifix-20130303_02(SR13+IV37419))
IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 Linux amd64-64 jvmxa6460sr13-20130114_134867 (JIT enabled, AOT enabled)
J9VM - 20130114_134867
JIT  - r9_20130108_31100
GC   - 20121212_AA)
JCL  - 20130303_02



Server console log (please ignore missing security deps):

INFO: Starting container with: [/qa/tools/opt/ibm-java-60/bin/java, -Djava.net.preferIPv4Stack=true, -Djava.net.preferIPv6Addresses=false, -Dmcast.ip=234.99.54.14, -Dmodcluster.ip=224.0.1.115, -Xmx512m, -XX:MaxPermSize=128m, -Dorg.apache.tomcat.util.buf.UDecoder.ALLOW_ENCODED_SLASH=true, -Djboss.node.name=node0, -Dnode.ip=127.0.0.1, -ea, -Djboss.home.dir=/home/hudson/users-tmp/tsykora/62ER1_2/jdg-server/jboss-datagrid-server-6.2.0, -Dorg.jboss.boot.log.file=/home/hudson/users-tmp/tsykora/62ER1_2/jdg-server/jboss-datagrid-server-6.2.0/standalone/log/boot.log, -Dlogging.configuration=file:/home/hudson/users-tmp/tsykora/62ER1_2/jdg-server/jboss-datagrid-server-6.2.0/standalone/configuration/logging.properties, -Djboss.bundles.dir=/home/hudson/users-tmp/tsykora/62ER1_2/jdg-server/jboss-datagrid-server-6.2.0/bundles, -jar, /home/hudson/users-tmp/tsykora/62ER1_2/jdg-server/jboss-datagrid-server-6.2.0/jboss-modules.jar, -mp, /home/hudson/users-tmp/tsykora/62ER1_2/jdg-server/jboss-datagrid-server-6.2.0/modules, -jaxpmodule, javax.xml.jaxp-provider, org.jboss.as.standalone, -server-config, standalone-dist.xml]
14:12:04,079 INFO  [org.jboss.modules] (main) JBoss Modules version 1.2.2.Final-redhat-1
14:12:04,682 INFO  [org.jboss.msc] (main) JBoss MSC version 1.0.4.GA-redhat-1
14:12:04,802 INFO  [org.jboss.as] (MSC service thread 1-5) JBAS015899: JBoss Data Grid 6.2.0 (AS 7.2.1.Final-redhat-10) starting
14:12:07,283 WARN  [org.jboss.as.server] (Controller Boot Thread) JBAS015883: No security realm defined for native management service; all access will be unrestricted.
14:12:07,302 INFO  [org.xnio] (MSC service thread 1-5) XNIO Version 3.0.7.GA-redhat-1
14:12:07,306 INFO  [org.jboss.as.server] (Controller Boot Thread) JBAS015888: Creating http management service using socket-binding (management-http)
14:12:07,308 WARN  [org.jboss.as.server] (Controller Boot Thread) JBAS015884: No security realm defined for http management service; all access will be unrestricted.
14:12:07,331 INFO  [org.xnio.nio] (MSC service thread 1-5) XNIO NIO Implementation Version 3.0.7.GA-redhat-1
14:12:07,355 INFO  [org.jboss.remoting] (MSC service thread 1-5) JBoss Remoting version 3.2.16.GA-redhat-1
14:12:07,526 INFO  [org.jboss.as.clustering.infinispan] (ServerService Thread Pool -- 18) JBAS010280: Activating Infinispan subsystem.
14:12:07,538 INFO  [org.jboss.as.naming] (ServerService Thread Pool -- 24) JBAS011800: Activating Naming Subsystem
14:12:07,590 INFO  [org.jboss.as.security] (ServerService Thread Pool -- 27) JBAS013171: Activating Security Subsystem
14:12:07,600 INFO  [org.jboss.as.clustering.jgroups] (ServerService Thread Pool -- 21) JBAS010260: Activating JGroups subsystem.
14:12:07,694 INFO  [org.jboss.as.jsf] (ServerService Thread Pool -- 31) JBAS012605: Activated the following JSF Implementations: [main, 1.2]
14:12:07,906 INFO  [org.jboss.as.security] (MSC service thread 1-6) JBAS013170: Current PicketBox version=4.0.17.SP2-redhat-2
14:12:07,979 INFO  [org.jboss.as.connector.logging] (MSC service thread 1-8) JBAS010408: Starting JCA Subsystem (IronJacamar 1.0.19.Final-redhat-2)
14:12:08,151 INFO  [org.jboss.as.naming] (MSC service thread 1-6) JBAS011802: Starting Naming Service
14:12:08,345 INFO  [org.jboss.as.remoting] (MSC service thread 1-5) JBAS017100: Listening on 127.0.0.1:9999
14:12:08,346 INFO  [org.jboss.as.remoting] (MSC service thread 1-7) JBAS017100: Listening on 127.0.0.1:4447
14:12:09,641 INFO  [org.apache.coyote.ajp] (MSC service thread 1-1) JBWEB003046: Starting Coyote AJP/1.3 on ajp-/127.0.0.1:8009
14:12:09,643 INFO  [org.apache.coyote.http11] (MSC service thread 1-8) JBWEB003001: Coyote HTTP/1.1 initializing on : http-/127.0.0.1:8080
14:12:09,647 INFO  [org.apache.coyote.http11] (MSC service thread 1-8) JBWEB003000: Coyote HTTP/1.1 starting on: http-/127.0.0.1:8080
14:12:09,940 INFO  [org.jboss.modcluster] (ServerService Thread Pool -- 32) MODCLUSTER000001: Initializing mod_cluster ${project.version}
14:12:10,013 INFO  [org.jboss.modcluster] (ServerService Thread Pool -- 32) MODCLUSTER000032: Listening to proxy advertisements on /224.0.1.115:23364
14:12:10,155 WARN  [org.jgroups.stack.Configurator] (MSC service thread 1-4) JGRP000014: FlowControl.ignore_synchronous_response has been deprecated: not used any longer
14:12:10,191 WARN  [org.jgroups.stack.Configurator] (MSC service thread 1-4) JGRP000014: FlowControl.ignore_synchronous_response has been deprecated: not used any longer
14:12:11,866 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-8) MSC000001: Failed to start service jboss.infinispan.default: org.jboss.msc.service.StartException in service jboss.infinispan.default: Failed to start service
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1767) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:908) [rt.jar:1.6.0]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:931) [rt.jar:1.6.0]
	at java.lang.Thread.run(Thread.java:738) [vm.jar:1.6.0]
Caused by: org.infinispan.commons.CacheException: Unable to construct a GlobalComponentRegistry!
	at org.infinispan.factories.GlobalComponentRegistry.<init>(GlobalComponentRegistry.java:129)
	at org.infinispan.manager.DefaultCacheManager.<init>(DefaultCacheManager.java:195)
	at org.jboss.as.clustering.infinispan.DefaultEmbeddedCacheManager.<init>(DefaultEmbeddedCacheManager.java:48)
	at org.jboss.as.clustering.infinispan.subsystem.EmbeddedCacheManagerService.start(EmbeddedCacheManagerService.java:67)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	... 3 more
Caused by: org.infinispan.commons.CacheException: Unable to invoke method public void org.infinispan.topology.LocalTopologyManagerImpl.inject(org.infinispan.remoting.transport.Transport,java.util.concurrent.ExecutorService,org.infinispan.factories.GlobalComponentRegistry,org.infinispan.util.TimeService) on object of type LocalTopologyManagerImpl with parameters [org.infinispan.executors.LazyInitializingExecutorService@10761076, org.infinispan.executors.LazyInitializingExecutorService@10761076, org.infinispan.factories.GlobalComponentRegistry@66746674, org.infinispan.util.DefaultTimeService@1b811b81]
	at org.infinispan.commons.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:188)
	at org.infinispan.factories.AbstractComponentRegistry.invokeInjectionMethod(AbstractComponentRegistry.java:229)
	at org.infinispan.factories.AbstractComponentRegistry.access$000(AbstractComponentRegistry.java:65)
	at org.infinispan.factories.AbstractComponentRegistry$Component.injectDependencies(AbstractComponentRegistry.java:797)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponentInternal(AbstractComponentRegistry.java:201)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponent(AbstractComponentRegistry.java:156)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:277)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:253)
	at org.infinispan.factories.GlobalComponentRegistry.<init>(GlobalComponentRegistry.java:125)
	... 8 more
Caused by: java.lang.IllegalArgumentException: argument type mismatch
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.6.0]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60) [rt.jar:1.6.0]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37) [rt.jar:1.6.0]
	at java.lang.reflect.Method.invoke(Method.java:611) [rt.jar:1.6.0]
	at org.infinispan.commons.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:183)
	... 16 more

14:12:12,989 INFO  [org.jboss.as.controller] (Controller Boot Thread) JBAS014774: Service status report
JBAS014775:    New missing/unsatisfied dependencies:
      service jboss.infinispan.security (missing) dependents: [service jboss.security.security-domain.other, service jboss.security.security-domain.jboss-web-policy] 
JBAS014777:   Services which failed to start:      service jboss.infinispan.default: org.jboss.msc.service.StartException in service jboss.infinispan.default: Failed to start service

14:12:13,010 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015961: Http management interface listening on http://127.0.0.1:9990/management
14:12:13,011 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015951: Admin console listening on http://127.0.0.1:9990
14:12:13,013 ERROR [org.jboss.as] (Controller Boot Thread) JBAS015875: JBoss Data Grid 6.2.0 (AS 7.2.1.Final-redhat-10) started (with errors) in 10777ms - Started 92 of 144 services (8 services failed or missing dependencies, 44 services are passive or on-demand)


Setting severity as high because ibm jdk 6 is one of the supported jdks.
If anything needed, let me know.
Comment 2 JBoss JIRA Server 2013-10-10 12:41:19 EDT
William Burns <wburns@redhat.com> made a comment on jira ISPN-3611

This is the same issue as reported here: https://issues.jboss.org/browse/ISPN-3457
Comment 3 JBoss JIRA Server 2013-10-10 17:12:34 EDT
William Burns <wburns@redhat.com> updated the status of jira ISPN-3611 to Coding In Progress
Comment 4 Martin Gencur 2013-10-17 09:48:43 EDT
*** Bug 1016046 has been marked as a duplicate of this bug. ***
Comment 5 Tomas Sykora 2013-11-25 06:48:53 EST
We are able to start servers and testing on IBM JDK 6 again.
Thank you! 
VERIFIED for 6.2 ER4

Note You need to log in before you can comment on or make changes to this bug.